*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --font-size-1: 0.8rem;
    --font-size-2: 1.4rem;
    --font-size-3: 2rem;
    --font-size-4: 4rem;
    --font-size-5: 0.7rem;
    --font-size-6: 1rem;
    /* Color */
    --clr-1: rgb(224, 224, 224);
    --clr-2: white;
}
@media screen and (width < 600px) {
    :root {
        font-size: 13.5px;
        --font-size-1: 0.65rem;
        --font-size-4: 2.7rem;
        --font-size-6: 0.8rem;
    }
}

@font-face {
    font-family: "Font";
    src: url("/assets/fonts/font.ttf");
}

img:not(.faq_item_top > div img, .artist_gallery img),
picture {
    max-width: 100%;
    display: block;
}

button {
    all: unset;
    box-sizing: border-box;
    &:focus-visible {
        outline: revert;
    }
}

/* Fonts */

.lexend {
  font-family: "Font";
  font-optical-sizing: auto;
  font-style: normal;
  letter-spacing: 0.05rem;
}

h1, h2, h3, h4, h5, h6 {
    font-size: inherit;
    font-weight: inherit;
}

a {
    text-decoration: none;
    color: inherit;
}

.rotateScale {
    transform: rotate(0deg) scale(1);
    transition: transform 0.2s ease;
}
.rotateScale:hover {
     transform: rotate(4deg) scale(1.05);
     transition: transform 0.2s ease;
}

/* a:hover {
    text-decoration: underline;
} */

/* General Styling */

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Helvetica Neue";
    background-color: var(--clr-1);
}

/* Header */

.header {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    margin-inline: 1rem;
    background-color: var(--clr-2);
    position: sticky;
    top: 1rem;
    z-index: 50;
    /* padding: 0.5rem 1rem; */
    padding: 0.8rem 1rem;
    border: 1px solid black;
    align-items: center;
}
    @media screen and (width < 1200px) {
        .header {
            grid-auto-flow: dense;
            direction: rtl;
        }
    }

/* .about .header {
    margin-top: calc(calc(100vh - var(--headerHeight)) - 1rem);
} */

.header nav ul {
    display: flex;
    list-style: none;
}

/* Main Navigation Desktop */

[aria-label="navigation"] {
    justify-self: start;
}

[aria-label="navigation"] ul {
    gap: 1rem;
}

[aria-label="navigation"] ul li:not(.menu_toggle):hover {
    text-decoration: underline;
}

[aria-label="navigation"] ul li.active {
    text-decoration: underline;
}
    @media screen and (width < 1200px) {
        [aria-label="navigation"] ul li:not(.menu_toggle) {
            display: none;
        }
    }

.menu_toggle {
    display: none;
}
.menu_toggle:hover {
    cursor: pointer;
}

    @media screen and (width < 1200px) {
        .menu_toggle {
            display: block;
        }
    }

/* Main Navigation Mobile */

[aria-label="mobile_navigation"] {
    position: fixed;
    top:calc(calc(var(--headerHeight) + 1rem) - 1px);
    left: 0;
    z-index: 100;
    display: none;
}
    @media screen and (width < 1200px) {
        [aria-label="mobile_navigation"] {
            display: block;
            visibility: hidden;
            opacity: 0;
        }
        [aria-label="mobile_navigation"].visible {
            visibility: visible;
            opacity: 1;
        }
    }

[aria-label="mobile_navigation"] ul {
    list-style: none;
}

[aria-label="mobile_navigation"] ul li {
    background-color: var(--clr-2);
    border: 1px solid black;
    margin-inline: 1rem;
    padding: 1rem 2rem;
    width: calc(100vw - 2rem);
    text-align: center;
    margin-top: -1px;
    font-size: 1.2rem;
}


/* Logo */

.logo img {
    height: 2.5vh;
}
@media screen and (width < 600px) {
    .logo img {
        height: 2.2vh;
    }
}

/* Language Toggle */

[aria-label="lang_selector"] {
    justify-self: end;
    text-transform: uppercase;
}

[aria-label="lang_selector"] ul {
    gap: 0.5rem;
}

[aria-label="lang_selector"] ul li.active {
    text-decoration: underline;
}

/* Main Content */

.about .main {
    margin-top: 100dvh;
}

.main {
    margin: 2rem 1rem 1rem 1rem;
    position: relative;
    min-height: calc(90vh - var(--headerHeight));
}

/* Studio Page */

.landing_section {
    background-color: var(--clr-1);
    height: 100dvh;
    width: 100vw;
    position: fixed;
    top: 0;
    left: 0;
}

.landing_section_bg {
    position: absolute;
    height: 100dvh;
    width: 100vw;
}
.landing_section_bg video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.landing_section_slogan {
    position: absolute;
    width: 50vw;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    padding: 1rem;
    font-size: clamp(2.6rem, 5vw, 9rem);
    font-weight: 500;
    /* letter-spacing: -0.27rem; */
    line-height: 6vw;
    text-align: center;
    color: white;
}
@media screen and (width < 600px) {
    .landing_section_slogan {
        line-height: clamp(2.5rem, 8vw, 9rem);
        width: 80vw;
    }
}

.arrow_down {
    position: absolute;
    left: 50%;
    bottom: 1.5rem;
    transform: translateX(-50%);
    animation: hover 1s linear infinite alternate-reverse;
}
.arrow_down img {
    width: 2.2rem;
}
@keyframes hover {
    from {
        margin-bottom: -1rem;
    }
    to {
        margin-bottom: 0rem;
    }
}

.playStopButton {
    position: absolute;
    z-index: 100;
    bottom: 1.5rem;
    right: 1.5rem;
}

.video-toggle {
    color: white;
}
.video-toggle:hover {
    cursor: pointer;
}

.about_section {
    display: flex;
    border: 1px solid black;
}
.about_section:not(:last-of-type) {
    margin-bottom: 1rem;
}

    @media screen and (width < 1100px) {
        .about_section {
            flex-direction: column;
        }
    }

/* .about_section > div:last-child {
    background-color: var(--clr-1);
} */

.about_section h2,
.about_section > div:last-child p {
    padding: 0.6rem 0.8rem 0.6rem 0.8rem;
}

.about_section:nth-child(even) {
    flex-direction: row-reverse;
}
    @media screen and (width < 1100px) {
        .about_section:nth-child(even) {
            flex-direction: column;
        }
    }

.about_section > div {
    flex: 1;
    background-color: var(--clr-2);
}
@media screen and (width < 600px) {
    .about_section > div:last-child {
        padding: 0.8rem 0.5rem
    }
}


.about_section > div p {
    font-size: var(--font-size-2);
}

.about_section img {
    width: 100%;
}

.about_section strong {
    font-size: var(--font-size-3);
}

.about_section h2 {
    font-size: var(--font-size-4);
}

.about_slideshow_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-block: 1rem;
    font-size: var(--font-size-3);
    border: 1px solid black;
    background-color: var(--clr-2);
    padding: 0.5rem 1rem;
}

.about_slideshow img {
    aspect-ratio: 4 / 5;
    height: 60vh;
    object-fit: cover;
}

.pageOverview {
    display: flex;
    gap: 1rem;
    justify-content: center;
    margin-top: 3rem;
    font-size: var(--font-size-3);
}
    @media screen and (width < 600px) {
        .pageOverview {
            flex-direction: column;
            text-align: center;
        }
    }

.pageOverviewItem {
    background-color: black;
    color: white;
    padding: 1rem 1.5rem;
    display: block;
    text-transform: uppercase;
    flex: 1;
}

/* Artist Overview */

.artist_grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
}

@media screen and (width > 2000px) {
    .artist_grid {
        grid-template-columns: repeat(6, 1fr);
    }
}

@media screen and (width < 920px) {
    .artist_grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (width < 780px) {
    .artist_grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (width < 600px) {
    .artist_grid {
        grid-template-columns: 1fr 1fr;
    }    
}

.artist_grid_item {
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
}

.artist_grid_item_wrapper {
    height: 100%;
}

.artist_grid_item_img {
    width: 100%;
    /* aspect-ratio: 9/16; */
    object-fit: cover;
    /* clip-path: ellipse(39% 50% at 50% 50%); */
    transition: transform 0.2s ease;
}

.artist_grid_item:hover .artist_grid_item_img {
    transform: scale(1.02) rotate(1.5deg);
}
    @media screen and (width < 600px) {
        .artist_grid_item:hover .artist_grid_item_img {
            transform: scale(1) rotate(0deg);
        }
    }

figcaption {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.name {
    padding: 1rem;
    font-size: 1.8rem;
}

.tags {
    padding-block: 0.5rem;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    justify-content: center;
    border-top: 1px solid black;
    flex: 1;
    align-items: center;
}

.tag {
    background-color: black;
    color: white;
    text-transform: uppercase;
    padding: 0.3rem 0.6rem;
    font-size: var(--font-size-5);
}

.socials {
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.socials_link {
    padding: 0.5rem;
    border: 1px solid black;
    flex: 1;
    background-color: var(--clr-2);
    font-size: var(--font-size-6);
}

/* Artist Page */

.artist_top_section {
    display: flex;
    gap: 1rem;
}

.artist_top_section img {
    width: 100%;
}

@media screen and (width < 600px) {
    .artist_top_section {
        flex-direction: column;
    }
}

.artist_top_section > div:first-child {
    flex: 0.4;
}
.artist_top_section > div:last-child {
    flex: 1;
}

.artist_name {
    font-size: 3rem;
    text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
    margin-bottom: 1rem;
    font-weight: 500;
    /* letter-spacing: -0.12rem; */
    line-height: 3.5rem;
}

.artist_text {
    border: 1px solid black;
    height: max-content;
    padding: 1rem;
    background-color: var(--clr-2);
}

@media screen and (width > 2000px) {
    .artist_top_section > div:last-child {
        flex: 2;
    }
    .artist_text {
        width: 80%;
    }
}

.artist_socials {
    margin-block: 1rem;
    display: flex;
    gap: 1rem;
}

.artist_socials span{
    background-color: black;
    color: white;
    padding: 0.5rem 1rem;
    display: block;
    width: max-content;
}

.artist_top_section > div:first-child {
    font-size: 0;
}

.gallery_header {
    margin-block: 1rem;
    font-size: var(--font-size-2);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: calc(var(--headerHeight) + 0.9rem);
    border: 1px solid black;
    background-color: var(--clr-2);
    z-index: 50;
    padding: 0.5rem 1rem;
}

.slideshow_arrows {
    display: flex;
    gap: 1rem;
}

.slideshow_arrows > span:hover {
    cursor: pointer;
}

.artist_gallery img {
    aspect-ratio: 4/5;
    object-fit: cover;
    height: 60vh;
}

@media screen and (width < 600px) {
    .artist_gallery img {
        max-width: 80vw;
    }
    
}

.prevNextArtists {
    display: flex;
    justify-content: end;
    justify-content: space-between;
    margin-top: 3rem;
}

.prevNextArtists span {
    display: flex;
    gap: 0.5rem;
    border: 1px solid black;
    padding: 0.5rem;
    background-color: var(--clr-2);
}

/* FAQ Page */

.faq_intro {
    margin-block: 3rem 2rem;
    width: 100%;
    font-size: var(--font-size-2);
}

.faq_intro strong {
    font-size: var(--font-size-4);
    font-weight: 500;
    /* letter-spacing: -0.27rem; */
    line-height: 3.5rem;
    text-align: center;
    text-transform: uppercase;
}

.faq_grid {
    display: grid;
    align-items: center;
    row-gap: 1rem;
}

@media screen and (width < 600px) {
    .faq_grid {
        grid-template-columns: 1fr;
        gap: 0.5rem;
    }
    .faq_intro strong {
        line-height: 2.7rem;
    }
}

.faq_item {
    display: grid;
    grid-template-rows: max-content 0fr;
    background: var(--clr-2);
    width: 100%;
    border: 1px solid black;
    font-size: var(--font-size-2);
    @media (prefers-reduced-motion: no-preference) {
        transition: grid-template-rows 0.3s;
    }
}

.faq_item.expanded {
    grid-template-rows: max-content 1fr;
}

.faq_item_top {
    display: flex;
    gap: 2rem;
    justify-content: space-between;
    align-items: center;
    margin: 1rem;
    text-transform: uppercase;
}

.faq_item_top > div:last-child {
    transition: transform 0.2s ease;
}

.faq_item.expanded .faq_item_top > div:last-child {
    transform: rotate(45deg);
    transition: transform 0.2s ease;
}

.faq_item_top:hover {
    cursor: pointer;
}

.faq_item_bottom {
    overflow: hidden;
}

.faq_item_bottom > div {
    padding-block: 1rem;
    margin: 0rem 1rem 1rem 1rem;
}

/* Contact Page */

.contact_text {
    width: 60vw;
    font-size: 1.2rem;
}
@media screen and (width < 600px) {
    .contact_text {
        width: 90vw;
    }
}

.contact_text a::after {
    content: url("/assets/img/link.svg");
    display: inline-block;
    width: 12px;
    margin-left: 0.2rem;
}

.contact_image {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
    margin-block: 1rem;
}

.contact_image img {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}

@media screen and (width < 600px) {
   .contact_image {
        grid-template-columns: 1fr;
        row-gap: 1rem;
   }
}

/* Footer */

.footer {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid black;
    padding-block: 0.5rem;
    margin: 3rem 1rem 1rem 1rem;
    z-index: 50;
    font-size: var(--font-size-1);
    position: relative;
}
@media screen and (width < 600px) {
    .footer {
        flex-direction: column;
        row-gap: 1rem;
    }
}

.slick-track {
    display: flex;
    gap: 1rem;
}